Package org.eclipse.emf.cdo.spi.server

# Interface IAppExtension4

All Superinterfaces:
  `IAppExtension`

public interface IAppExtension4 extends IAppExtension
An optional extension of the `IAppExtension` interface for `prioritized` app extensions.

Since:
  4.12
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<IAppExtension>`
`COMPARATOR`
`static final int`
`PRIORITY_DEFAULT`
`static final int`
`PRIORITY_NETWORK`
`static final int`
`PRIORITY_SECURITY`

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPriority()`
`static int`
`getPriority(IAppExtension appExtension)`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`start, stop`

## Field Details

### PRIORITY_NETWORK

static final int PRIORITY_NETWORK

See Also:
  - Constant Field Values

### PRIORITY_SECURITY

static final int PRIORITY_SECURITY

See Also:
  - Constant Field Values

### PRIORITY_DEFAULT

static final int PRIORITY_DEFAULT

See Also:
  - Constant Field Values

### COMPARATOR

static final Comparator<IAppExtension> COMPARATOR

## Method Details

### getPriority

int getPriority()

### getPriority

static int getPriority(IAppExtension appExtension)